Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal.ejb
Interface GroupHierarchyHome

public interface GroupHierarchyHome
extends BaseHome

Group hiearchy ejb home interface.

Method Summary
`GroupHierarchy` | `create(GroupHierarchyPK pk)` Create.
`java.util.Enumeration` | `findByGroup(java.lang.String aGroup)` Find by group.
`java.util.Enumeration` | `findByParentGroup(java.lang.String aGroup)` Find by parent group.
`GroupHierarchy` | `findByPrimaryKey(GroupHierarchyPK pk)` Find by primary key.

Methods inherited from interface javax.ejb.EJBHome
`getEJBMetaData, remove, remove`

Method Detail

### create

    public GroupHierarchy create(GroupHierarchyPK pk)
                          throws javax.ejb.CreateException,
                                 java.rmi.RemoteException

  Create.
  Parameters:
    `pk` - the group hiearchy primary key.
  Returns:
    `GroupHierarchy` the created object.
  Throws:
    `CreateException` - error on create.
    `RemoteException` - container error.

### findByPrimaryKey

    public GroupHierarchy findByPrimaryKey(GroupHierarchyPK pk)
                                    throws javax.ejb.FinderException,
                                           java.rmi.RemoteException

  Find by primary key.
  Parameters:
    `pk` - the primary key.
  Returns:
    `GroupHierarchy` the item you are looking for.
  Throws:
    `FinderException` - error finding the object.
    `RemoteException` - container error.

### findByGroup

    public java.util.Enumeration findByGroup(java.lang.String aGroup)
                                      throws javax.ejb.FinderException,
                                             java.rmi.RemoteException

  Find by group.
  Parameters:
    `aGroup` - the group name.
  Returns:
    `Enumeration` all of the groups.
  Throws:
    `FinderException` - error finding the objects.
    `RemoteException` - container error.

### findByParentGroup

    public java.util.Enumeration findByParentGroup(java.lang.String aGroup)
                                            throws javax.ejb.FinderException,
                                                   java.rmi.RemoteException

  Find by parent group.
  Parameters:
    `aGroup` - the group name.
  Returns:
    `Enumeration` all of the groups that match.
  Throws:
    `FinderException` - error finding the info.
    `RemoteException` - container error.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved